import { AwsResource } from '../../cloudformation/resources/AwsResource';
/**
  The <code>AWS::Lambda::Url</code> resource creates a function URL with the specified configuration parameters. A <a href="https://docs.aws.amazon.com/lambda/latest/dg/lambda-urls.html">function URL</a> is a dedicated HTTP(S) endpoint that you can use to invoke your function.
  For full documentation go to <a href="http://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/aws-resource-lambda-url.html">the AWS Docs</a>
*/
export function url(urlProps) {
    return new AwsResource('AWS::Lambda::Url', urlProps, { FunctionArn: 'FunctionArn', FunctionUrl: 'FunctionUrl' });
}
